Skip to main content
GET
Retrieve an external card session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
cardSessionId
string
required

Public ID of the external card session (prefixed with ecs_)

Response

External card session retrieved successfully.

A hosted external card collection session.

id
string

Public ID of the card session (prefixed with ecs_).

Example:

"ecs_2mNpXwZ7bV1aLcs3Kf9dQ"

userId
string

Public ID of the user this session belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

counterPartyId
string | null

Public ID of the associated counter party, if one was supplied or has since been created.

Example:

"cpty_7bV1aLcs3Kf9dQ2mNpXwZ"

url
string | null

Hosted session URL, including a fragment-embedded session token. Only present on creation.

Example:

"https://dashboard.hifi.com/sandbox/external-card-sessions/ecs_2mNpXwZ7bV1aLcs3Kf9dQ?userId=usr_3Kf9dQ2mNpXwZ7bV1aLcs#sessionToken=..."

recipientEmail
string | null
Example:

"jane.doe@example.com"

redirectUrl
string | null
Example:

"https://example.com/card-onboarding/complete"

status
enum<string>
Available options:
PENDING,
PROCESSING,
COMPLETED,
EXPIRED
Example:

"PENDING"

expiredAt
string<date-time> | null
Example:

"2026-07-01T11:30:00.000Z"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"